@charset "UTF-8";

.blog_content_flex {
  max-width: 1040px;
  margin: 100px auto 40px auto;
  padding: 0 8px;
  display: flex;
  align-items:flex-start;
  justify-content: space-between;
}

.blog_main_content {
  flex: 1;
}

.blog_main_content ul {
  width: 100%;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  flex-wrap: wrap;
}

.blog_main_content ul li {
  width: 47.5%;
  list-style: none;
  margin-bottom: 40px;
}

.blog_article {
  width: 100%;
}

.ogp {
  max-width: 100%;
  line-height: 1;
}

.ogp img {
  width: 100%;
  height: 180px;
  object-fit: cover;
}

.blog_data_flex {
  display: flex;
  align-items: center;
}

.date {
  font-size: 1.2rem;
  font-weight: 700;
  margin-right: 40px;
  color: var(--bk);
}

.category {
  background-color: var(--accentcolor);
  padding: 0px 6px;
  border-radius: 6px;
  -webkit-border-radius: 6px;
  -moz-border-radius: 6px;
  -ms-border-radius: 6px;
  -o-border-radius: 6px;
  color: var(--white);
}

.blog_info {
  margin-top: 8px;
}

.blog_info h3 {
  text-align: left;
  font-weight: 900;
  font-size: 1.8rem;
  color: var(--bk);
}

.blog_info p {
  text-align: left;
  font-weight: 400;
  font-size: 1.4rem;
  text-overflow: ellipsis;
  -webkit-text-overflow: ellipsis; 
	-o-text-overflow: ellipsis; 
}

.blog_paragraph {
  color: var(--bk);
}

.blog_side_bar_article_ttl {
  margin-bottom: 24px;
}

.blog_side_bar h2 {
  text-align: left;
  color: var(--bk);
  margin-bottom: 24px;
  border-bottom: 1px solid var(--bk);
}

aside {
  width: 280px;
  margin-left: 90px;
}

.blog_side_bar {
  width: 280px;
}

.blog_side_category h2 {
  text-align: left;
  color: var(--bk);
  border-bottom: 1px solid var(--bk);
}

.blog_side_category ul {
  text-align: left;
  margin: 10px 0 20px 0;
}

.blog_side_category ul li a {
  text-decoration: none;
  color: var(--white);
  background-color: var(--accentcolor);
  padding: 2px 4px;
}

/* ページネーション */

.pagenation_inner {
  max-width: 1040px;
  margin: 0 auto 100px auto;
}

.wp-pagenavi {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0 4px;
  list-style-type: none;
  padding: 0;
}

.wp-pagenavi a {
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  border: 1px solid var(--blue)!important;
  border-radius: 1px;
  color: var(--blue);
}

.wp-pagenavi a:not(:hover) {
  text-decoration: none;
}

.current {
  background-color: var(--blue)!important;
  color: var(--white);
  pointer-events: none;
  width: 40px;
  height: 40px;
  line-height: 2.5;
}
.extend {
  color: var(--blue);
}
.wp-pagenavi a, .wp-pagenavi span {
  padding: 0!important;
}

.wp-pagenavi a,.current {
  padding: 0!important;
}

.extend {
  border: none!important;
}

.previouspostslink,
.nextpostslink,
.last {
  font-size: 1.4rem;
}

.wp-pagenavi .previouspostslink a::before,
.wp-pagenavi .nextpostslink a::after {
  display: inline-block;
  transform: rotate(45deg);
  width: 6px;
  height: 6px;
  content: '';
}

.wp-pagenavi .previouspostslink a::before {
  border-bottom: 1px solid var(--blue);
  border-left: 1px solid var(--blue);
}

.wp-pagenavi .nextpostslink a::after {
  border-top: 1px solid var(--blue);
  border-right: 1px solid var(--blue);
}

.aside_blog_info {
  margin-bottom: 32px;
}

.category_pagenation_inner {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 0 100px 0;
}

.page-numbers {
  border: solid 1px var(--blue);
  width: 40px;
  height: 40px;
  line-height: 2.5;
  margin: 0 2px;
  text-decoration: none;
}

.category_pagenation_inner a {
  text-decoration: none;
  color: var(--blue);
}

.page-numbers .current {
  color: var(--white);
}

.dots {
  color: var(--blue);
}


@media (max-width:768px) {
  .pagenation_inner {
    max-width: 94.5%;
    margin: 0 auto 64px auto;
  }  

  .blog_pagination {
    gap: 0 2px;
  }
  
  .wp-pagenavi .previouspostslink a,
  .wp-pagenavi .nextpostslink a {
  font-size: 1.2rem;
}

  aside {
    display: none;
  }

  .blog_content_flex {
    max-width: 100%;
    margin: 64px auto 32px auto;
  }
  
  .blog_main_content {
    max-width: 94.5%;
    margin: 0 auto;
    padding: 0;
  }
  
  .blog_inner h2 {
    font-size: 2rem;
    margin: 0 auto 32px auto;
  }
  
  .blog_inner ul {
    width: 100%;
    display: block;
  }
  
  .blog_inner ul li {
    width: 100%;
    list-style: none;
  }
  
  .blog_article {
    width: 100%;
  }
  
  .ogp {
    max-width: 100%;
  }

  .date {
    font-size: 1.2rem;
    font-weight: 700;
    margin-right: 20px;
  }
  
  .category {
    background-color: var(--accentcolor);
    padding: 0px 6px;
    border-radius: 6px;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
  }
  
  .blog_info h3 {
    font-size: 1.6rem;
    margin-top: 4px;
  }
  
  .blog_info p {
    font-size: 1.4rem;
  }

  .blog_inner ul li .blog_article:nth-child(-n+3){
    margin-bottom: 24px;
  }

  .blog_data_flex {
    margin-top: 12px;
  }

}

@media (max-width:520px) {
  .blog_main_content ul {
    display: block;
  }

  .blog_main_content ul li {
    width: 100%;
  }
}
